# zego-zim-uts

### 开发文档

#### Native App 开发
- 制作自定义基座

#### Web、小程序开发
- 切换到项目 uni_modules/zego-zim-uts 目录下，安装 npm sdk 库，安装成功后可以在该目录下看到 node_modules 目录
``` bash
cd uni_modules/zego-zim-uts/
npm run install
```

#### 使用 SDK
``` typescript
import { ZIM, ZIMAppConfig, ZIMLoginConfig, ZIMMessage, ZIMMessageSendConfig, ZIMMessageSendNotification } from '@/uni_modules/zego-zim-uts';

// 创建实例
const appConfig: ZIMAppConfig = { appID: 0, appSign: '' };
ZIM.create(appConfig);
const zim = ZIM.getInstance();

// 注册回调事件
zim.onConnectionStateChanged((data) => console.log(`state: ${data.state}, event: ${data.event}`)));

// 登录
const userID = '';
const loginConfig: ZIMLoginConfig = { token: '', userName: '', customStatus: '', isOfflineLogin: false };
zim.login(userID, loginConfig)
    .then(() => {
        // 操作成功
    })
    .catch((err) => {
        // 操作失败
        console.error(err);
    });
    
// 发送消息
const sendConfig: ZIMMessageSendConfig = { priority: 1 };

const notification: ZIMMessageSendNotification = {
    onMessageAttached: (msg) => {},
};

const textMsg: ZIMMessage = {
    type: 1,
    message: 'test',
};

zim.sendMessage(textMsg, 'toUserID', 0, sendConfig, notification)
    .then((res) => {
        // 操作成功
    })
    .catch((err) => {
        // 操作失败
        console.error(err);
    });  
```

### 参考文档

- [UTS 语法](https://uniapp.dcloud.net.cn/tutorial/syntax-uts.html)
- [UTS API插件](https://uniapp.dcloud.net.cn/plugin/uts-plugin.html)
